mscorlib 2.0.0.0 4.0.0.0 System.ValueType

For additional information about the TLIBATTR structure, see the MSDN Library.

The common language runtime throws an exception when a COM method in native code returns an HRESULT. For more information, see How to: Map HRESULTs and Exceptions.

Identifies a particular type library and provides localization support for member names.

- Field
  2.0.0.0
  4.0.0.0
  System.Guid

  For additional information about the TLIBATTR structure, see the MSDN Library.

  Represents a globally unique library ID of a type library.

- Field
  2.0.0.0
  4.0.0.0
  System.Int32

  For additional information about the TLIBATTR structure, see the MSDN Library.

  Represents a locale ID of a type library.

- Field
  2.0.0.0
  4.0.0.0
  System.Runtime.InteropServices.ComTypes.SYSKIND

  For additional information about the TLIBATTR structure, see the MSDN Library.

  Represents the target hardware platform of a type library.

- Field
  2.0.0.0
  4.0.0.0
  System.Runtime.InteropServices.ComTypes.LIBFLAGS

  For additional information about the TLIBATTR structure, see the MSDN Library.

  Represents library flags.

- Field
  2.0.0.0
  4.0.0.0
  System.Int16

  For additional information about the TLIBATTR structure, see the MSDN Library.

  Represents the major version number of a type library.

- Field
  2.0.0.0
  4.0.0.0
  System.Int16

  For additional information about the TLIBATTR structure, see the MSDN Library.

  Represents the minor version number of a type library.